:root {
    --dark: #141414;
    --light: #fff;
}

@media (max-width: 640px) {
	.col-bg > div > div[uk-img] {
		background-size: 60% !important;
	}
	.uk-button {width: 100%;}
}

.rotate-img img {
	animation: rotate 6s infinite linear;
    transform-origin: center;
}

@keyframes rotate {
    0% {transform: rotate(0deg);}
    100% {transform: rotate(360deg);}
}

/*======================
HubSpot Form
======================*/
.hs-form * {
	color: #fff;
}
.legal-consent-container {
    font-size: 16px;
}

legend.hs-field-desc {
    font-size: 14px;
    pointer-events: none;
    font-style: italic;
    opacity: .8;
}


.hs-form-field {
    margin-bottom: 16px;
    position: relative;
}
.hs-form-field .input {
    position: relative;
}
.hs-input[type="text"], .hs-input[type="email"], .hs-input[type="tel"], .hs-input[type="text"], .hs-input[type="email"], .hs-input[type="date"], textarea.hs-input {
    appearance: none;
    outline: none;
    border: none;
    border: 1px solid var(--light);
    padding: 10px;
    width: calc(100% - 20px) !important;
    font-size: 16px;
    background: transparent;
	border-radius: 0;
}

.legal-consent-container ul {
    list-style: none;
    padding: 0;
}
textarea.hs-input {
    min-height: 80px;
}
.hs-input[type="checkbox"] {
    appearance: none;
    width: 20px !important;
    height: 20px;
    background: transparent;
    border: 1px solid var(--light);
	border-radius: 0;
}


.hs-input[type="checkbox"]:checked {
    background: var(--light);
    position: relative;
}
.hs-form-booleancheckbox-display:after {
    content: '';
    display: none;
}
.hs-form-booleancheckbox-display.filled:has(input:checked):after {
    content: '';
    color: var(--light);
	display: block !important;
    position: absolute;
    top: 2px;
    left: 4px;
    background: url('data:image/svg+xml,<svg width="15" height="13" viewBox="0 0 15 13" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7L5 12L14 1" stroke="%23000000" stroke-width="1.1"/></svg>');
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    height: 20px;
    width: 20px;
}

select.hs-input {
    appearance: none;
    outline: none;
    border: none;
	border-radius: 0;
    border-bottom: 1px solid var(--dark);
    color: var(--dark);
    padding: 10px 0;
    width: 100% !important;
    font-size: 16px;
    background: transparent;
}
.uk-section-primary .hs-input {
    color: var(--light);
    border-bottom: 1px solid var(--light);
}
.input:has(select)::after {
    content: '';
    position: absolute;
    top: 50%;
    right: 0;
    translate: 0 -50%;
    display: block;
    height: 20px;
    width: 20px;
    background: url('data:image/svg+xml,<svg width="12" height="7" viewBox="0 0 12 7" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M11 0.5L6 5.5L1 0.5" stroke="%23000000"/></svg>');
    background-size: 14px;
    background-position: center;
    background-repeat: no-repeat;
}
.hs-button {
    appearance: none;
    font-family: 'DM Sans', sans-serif;
    font-weight: 600;
    text-transform: capitalize;
    border: 1px solid #ffd100;
    background: #ffd100;
    color: #000;
    outline: none;
    padding: 0 60px;
    margin-top: 20px;
    line-height: 38px;
    font-size: 18px;
    border-radius: 100px;
    transition: .2s all ease-in-out;
    cursor: pointer;
}
.hs-button:hover {
    border-color: #fff;
    background: #fff;
    color: #000;
}

.hs-form-field > label { 
    position: relative;
    pointer-events: none;
    transition: all 0.2s ease;
    transform-origin: left top;
    transform: translateY(8px) scale(1);
	color: #fff !important;
	font-size: 16px;
  }
  
.hs-form-field label.focused, .hs-form-field label.filled {
    transform: translateY(-8px) scale(0.8);
	opacity: .8;
}
.hs-error-msgs {
    padding: 0;
    margin: 0;
    list-style: none;
    position: absolute;
    bottom: -24px;
    width: 100%;
}
.hs-error-msgs label { 
    padding: 0 6px;
    font-size: 14px;
    border-radius: 20px;
    background: #ffeff0;
    color: #ff2a25;
    text-wrap: nowrap;
}
.hs_error_rollup label {
    font-size: 16px;
    width: 100%;
    display: block;
    padding: 20px;
    text-align: center;
    border-radius: 12px;
}

.hs_error_rollup {
    position: relative;
    display: inherit;
}

.hs_error_rollup .hs-error-msgs {
    bottom: -140px;
}


.hs-form-checkbox .hs-input[type="checkbox"] {display: none;}

.hs-form-checkbox {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.inputs-list.multi-container {
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.hs-form-checkbox label {
    cursor: pointer;
    background: transparent;
    color: var(--light);
    border: 1px solid var(--light);
    border-radius: 50px;
    padding: 0 10px;
}

.input:has(inputs-list) {
    margin-top: 90px;
}
.hs-form-checkbox label:before {
    content: '';
    transition: all .2s ease-in-out;
}
.hs-form-checkbox label:has(input:checked):before {
    content: '✓';
    margin-right: 4px;
}

.hs-form-checkbox label:has(input:checked) {
    background: var(--light);
    color: var(--light);
}

.uk-section-primary .hs-form-checkbox label:has(input:checked) {
    background: var(--light);
    color: var(--light);
}
.uk-section-primary .hs-form-checkbox label {
    background: transparent;
    color: var(--light);
    border: 1px solid var(--light);
}
.hs-input[type="file"] {
    padding: 5px;
    border: 1px dashed currentColor;
    border-radius: 200px;
    width: 100% !important;
}

input[type=file]::file-selector-button {
    appearance: none;
    border: none;
    outline: none;
    font-family: 'Circular', sans-serif;
    text-transform: uppercase;
    background: var(--light);
    color: var(--light);
    padding: 6px 12px;
    border-radius: 100px;
    font-weight: 600;
    letter-spacing: 1px;
    cursor: pointer;
    margin-right: 12px;
    transition: .2s all ease-in-out;
}
input[type=file]::file-selector-button:hover {
    opacity: .75;
}

input:-webkit-autofill, input:-webkit-autofill:focus {
    transition: background-color 0s 600000s, color 0s 600000s;
}

.hs-form fieldset {
    max-width: 100% !important;
}

.hs-input[type="date"] {
    color-scheme: dark;
}

.hs-input[type=date]::-webkit-datetime-edit {
    opacity: 0;
    font-family: 'DM Sans', sans-serif;
}

@media (max-width: 960px) {
	.hs-input[type="date"] {
		min-height: 43px;
		padding: 0;
	}
}

label.focused ~ .input > .hs-dateinput > .hs-input[type=date]::-webkit-datetime-edit,
label.filled ~ .input > .hs-dateinput > .hs-input[type=date]::-webkit-datetime-edit {
    opacity: 1;
}

.hs-richtext {
    /*font-size: 36px;
	text-transform: uppercase;*/
	margin-bottom: 10px;
}

.hs-form-field:has(input[type="radio"]) label {
    position: relative;
}

.hs-form-field:has(input[type="radio"]) ul {
    list-style-type: none;
    padding-top: 10px;
}

.hs-form-field:has(input[type="radio"]) input {
    appearance: none;
    width: 20px;
    height: 20px;
    border-radius: 100%;
    border: 1px solid #fafafa;
    background: transparent;
	transition: all .3s ease-in-out;
}

.hs-form-field:has(input[type="radio"]) input:checked {
    border: 7px solid #fafafa;
}

.hs-form-field:has(input[type="radio"]) input + span {
    top: -3px;
    position: relative;
}

@media all and (max-width: 640px) {
	.hs-richtext {
		/*font-size: 26px;*/
		line-height: 1;
	}
}